
def generate_random_sentence(input_ids, model, device='cuda'):
    # This function generates a random sentence using a Fairseq model.
    model.eval()  # Set the model to evaluation mode
    input_ids = input_ids.to(device)  # Move input IDs to the appropriate device
    with torch.no_grad():  # Disable gradient calculation for efficiency
        outputs = model(input_ids)  # Forward pass through the model
        next_output_ids = outputs[0]  # Get the output tensor
        for i in range(50):  # Generate a sentence of length 50 tokens
            next_output_ids = model.sample(next_output_ids)  # Sample the next token
    return next_output_ids



